Subject: Re: [PATCH] mwifiex: Fix reporting 'operation not supported' error code

From: Kalle Valo <[email-masked]>
Date: Wed, 15 Jul 2020 09:13:21 +0000 (UTC)

Pali Rohár <[email-masked]> wrote:

> ENOTSUPP (double PP) is internal linux kernel code 524 available only in
> kernel include file linux/errno.h and not exported to userspace.
> 
> EOPNOTSUPP (OP; double PP) is standard code 95 for reporting 'operation not
> supported' available via kernel include file uapi/asm-generic/errno.h.
> 
> ENOTSUP (single P) is alias for EOPNOTSUPP defined only in userspace
> include file bits/errno.h and not available in kernel.
> 
> Because Linux kernel does not support ENOTSUP (single P) and because
> userspace does not support ENOTSUPP (double PP), report error code for
> 'operation not supported' via EOPNOTSUPP macro.
> 
> This patch fixes problem that mwifiex kernel driver sends to userspace
> unsupported error codes like: "failed: -524 (No error information)".
> After applying this patch userspace see: "failed: -95 (Not supported)".
> 
> Signed-off-by: Pali Rohár <[email-masked]>
> Acked-by: Ganapathi Bhat <[email-masked]>

Patch applied to wireless-drivers-next.git, thanks.

9187f4e84092 mwifiex: Fix reporting 'operation not supported' error code

-- 
https://patchwork.kernel.org/patch/11641737/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches